package main

import "github.com/charmbracelet/lipgloss"

type Colors struct {
	green   lipgloss.Color
	text    lipgloss.Color
	surface []lipgloss.Color
	overlay []lipgloss.Color
}

type Styles struct {
	text lipgloss.Style
}

var colors = Colors{
	green: lipgloss.Color("#a6da95"),
	text:  lipgloss.Color("#cad3f5"),
	surface: []lipgloss.Color{
		lipgloss.Color("#363a4f"),
		lipgloss.Color("#494d64"),
		lipgloss.Color("#5b6078"),
	},
	overlay: []lipgloss.Color{
		lipgloss.Color("#6e738d"),
		lipgloss.Color("#8087a2"),
		lipgloss.Color("#939ab7"),
	},
}

var styles = Styles{
	text: lipgloss.NewStyle().Foreground(colors.surface[2]),
}
